JobsRegistry
Get Jobs
Retrieves a list of jobs that the user is a member of.
GET
/
api
/
jobs-registry
Get Jobs
curl --request GET \
--url https://{baseUrl}/api/v1/api/jobs-registryimport requests
url = "https://{baseUrl}/api/v1/api/jobs-registry"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/jobs-registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/jobs-registry"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"asset": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
},
"category": "subdomains",
"status": "pending",
"pickJobAt": "2023-11-07T05:31:56Z",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"completedAt": "2023-11-07T05:31:56Z",
"command": "<string>",
"assetServiceId": "<string>",
"assetService": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"port": 123,
"assetId": "<string>",
"isErrorPage": true,
"screenshotPath": "<string>"
},
"errorLogs": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"logMessage": "<string>",
"payload": "<string>",
"jobId": "<string>"
}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}Query Parameters
Example:
1
Example:
10
Example:
"createdAt"
Example:
"DESC"
⌘I
Get Jobs
curl --request GET \
--url https://{baseUrl}/api/v1/api/jobs-registryimport requests
url = "https://{baseUrl}/api/v1/api/jobs-registry"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/jobs-registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/jobs-registry"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"asset": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
},
"category": "subdomains",
"status": "pending",
"pickJobAt": "2023-11-07T05:31:56Z",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"completedAt": "2023-11-07T05:31:56Z",
"command": "<string>",
"assetServiceId": "<string>",
"assetService": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"port": 123,
"assetId": "<string>",
"isErrorPage": true,
"screenshotPath": "<string>"
},
"errorLogs": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"logMessage": "<string>",
"payload": "<string>",
"jobId": "<string>"
}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}